Permalink
Browse files

GRAILS-6622 - Updated concurrent linked hashmap dependency to be jdk …

…1.5 compliant.
  • Loading branch information...
1 parent 13d08b6 commit f6d9fbed7ff24598f2638dbbd54e2ee6a47af364 Marco Vermeulen committed Sep 26, 2010
View
@@ -17,8 +17,8 @@ The following libraries are included in Grails because they are required either
- CGLIB 2.1_3 with ObjectWeb ASM 1.5.3 (http://cglib.sourceforge.net) Apache 1.1 License
- required for running Grails applications (Spring AOP & Hibernate)
-* concurrentlinkedhashmap-lru-1.0.jar
-- ConcurrentLinkedHashMap policy: least-recently-used, jdk: 6 (https://code.google.com/p/concurrentlinkedhashmap) Apache License 2.0
+* concurrentlinkedhashmap-lru-1.0_jdk5.jar
+- ConcurrentLinkedHashMap policy: least-recently-used, jdk: 5 (https://code.google.com/p/concurrentlinkedhashmap) Apache License 2.0
- required for building Grails core
- required for running Grails applications
View
@@ -35,6 +35,6 @@
<dependency org="jaxen" name="jaxen" rev="1.1-beta-11"/>
<dependency org="bsf" name="bsf" rev="2.3.0"/>
<dependency org="hibernate" name="hibernate" rev="3.2"/>
- <dependency org="com.googlecode.concurrentlinkedhashmap" name="concurrentlinkedhashmap-lru" rev="1.0"/>
+ <dependency org="com.googlecode.concurrentlinkedhashmap" name="concurrentlinkedhashmap-lru" rev="1.0_jdk5"/>
</dependencies>
</ivy-module>
Binary file not shown.
Binary file not shown.
View
@@ -112,7 +112,7 @@
<dependency>
<groupId>com.googlecode.concurrentlinkedhashmap</groupId>
<artifactId>concurrentlinkedhashmap-lru</artifactId>
- <version>1.0</version>
+ <version>1.0_jdk5</version>
</dependency>
@@ -238,7 +238,7 @@ class IvyDependencyManager extends AbstractIvyDependencyManager implements Depen
"org.slf4j:slf4j-api:1.5.8",
"org.slf4j:slf4j-log4j12:1.5.8",
"org.springframework:org.springframework.test:3.0.3.RELEASE",
- "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:1.0"
+ "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:1.0_jdk5"
docs "org.xhtmlrenderer:core-renderer:R8",
"com.lowagie:itext:2.0.8",
@@ -258,7 +258,7 @@ class IvyDependencyManager extends AbstractIvyDependencyManager implements Depen
}
"${compileTimeDependenciesMethod}"("aopalliance:aopalliance:1.0",
- "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:1.0",
+ "com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru:1.0_jdk5",
"commons-codec:commons-codec:1.3",
"commons-collections:commons-collections:3.2.1",
"commons-io:commons-io:1.4",

0 comments on commit f6d9fbe

Please sign in to comment.